.compare {
    display: none;
    position: relative;
    margin-bottom: rem(56);

    &__title {
        padding: rem(14) 0;
        font-weight: 600;
        font-size: rem(13);
        line-height: rem(20);
        color: var(--gray-70);
    }

    &__main {
        font-size: rem(12);
        line-height: rem(15);
        overflow: hidden;
        border-radius: 4px;
        border: 1px solid var(--gray-10);
    }

    &__label {
        width: 230px;
        flex-shrink: 0;
        color: var(--gray-60);
        padding: rem(6) rem(14);
        background-color: var(--gray-5);
        border-right: 1px solid var(--gray-10);
        display: flex;
        align-items: center;
    }

    &__col {
        padding: rem(6) rem(14);
        width: calc((100% - 230px) / 3);
        display: flex;
        align-items: center;

        &:not(:last-child) {
            border-right: 1px solid var(--gray-10);
        }
    }

    &__row {
        display: flex;

        &:not(:last-child) {

            .compare {

                &__label {
                    border-bottom: 1px solid var(--gray-10);
                }

                &__col {
                    border-bottom: 1px solid var(--gray-10);
                }
            }
        }

        &:hover {

            .compare {

                &__label {
                    border-right-color: #fff;
                    background-color: var(--gray-10);
                }

                &__col {
                    background-color: var(--gray-10);

                    &:not(:last-child) {
                        border-right-color: #fff;
                    }
                }
            }
        }

        &.compare-different {

            &.active {

                .compare {

                    &__label {

                    }

                    &__col {
                        background: #BFE8FF40;
                    }
                }

                &:hover {

                    .compare {


                        &__col {
                            background: var(--w25);
                        }
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {
        display: block;

        &__body {

        }
    }

    @include media-breakpoint-up(xl) {

    }

    @include media-breakpoint-up(xxl) {}
}

.compare-header {
    display: none;

    &__container {
        display: flex;
    }

    &__about {
        width: 250px;
        min-height: 1px;
        margin-right: 28px;
        flex-shrink: 0;
        display: none;
        font-size: rem(12);
        line-height: rem(16);
        color: var(--gray-60);
        padding: 1rem 0.75rem 1rem 0.75rem;
        border-left: 1px solid var(--gray-10);
        border-right: 1px solid var(--gray-10);
    }

    &__logo {
        display: block;
        width: rem(226);
    }

    &__text {
        margin-top: rem(10);
    }

    &__switcher {
        width: 230px;
        flex-shrink: 0;
    }

    &__main {
        flex-grow: 1;
        position: relative;
    }

    &__wrapper {
        overflow: hidden;
        position: relative;
        border-radius: 4px;
        border: 1px solid var(--gray-10);
    }

    &__row {
        display: flex;
    }

    &__item {
        width: 33.33%;
        flex-shrink: 0;

        &:not(:last-child) {
            border-right: 1px solid var(--gray-10);
        }
    }

    &__control {
        top: calc(50% - 16px);
        z-index: 100;
        position: absolute;

        &--prev {
            left: -16px;
        }

        &--next {
            right: -16px;
        }
    }

    @include media-breakpoint-up(lg) {
        display: block;

        &--fixed {
            top: 0;
            left: 0;
            right: 0;
            z-index: 1200;
            position: fixed;
            background-color: white;
            box-shadow: var(--shadow);
            opacity: 0;
            visibility: hidden;
            transition: .3s;

            .compare-item {

                &__info {
                    display: none;
                }

                &__buttons {
                    display: none;
                }
            }

            .compare-header {

                &__switcher {
                    padding-top: rem(14);
                }

                &__wrapper {
                    border-radius: 0;
                    border-top: none;
                    border-bottom: none;
                }

                &__container {
                    margin: 0 auto;
                    width: rem(932);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {


        &--fixed {

            .compare-header {

                &__container {
                    width: rem(1214);
                }

                &__about {
                    display: block;
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__control {

            &--prev {
                left: -48px;
            }

            &--next {
                right: -48px;
            }
        }

        &--fixed {

            .compare-header {

                &__container {
                    width: rem(1268);
                }

            }
        }
    }
}

.compare-item {
    padding: rem(14);
    position: relative;

    &__remove {
        z-index: 10;
        top: rem(14);
        right: rem(14);
        padding: 0;
        border: none;
        outline: none;
        width: rem(20);
        height: rem(20);
        display: block;
        cursor: pointer;
        position: absolute;
        fill: var(--gray-40);
        background-color: transparent;

        &:hover {
            fill: var(--gray-60);
        }
    }

    &__title {
        min-height: rem(32);
        margin-right: rem(24);
        color: var(--gray-80);
        font-weight: 600;
        font-size: rem(12);
        line-height: rem(16);
        margin-bottom: rem(8);
        -webkit-line-clamp: 2;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        overflow: hidden;

        a {
            color: var(--gray-80);
            text-decoration: none;

            &:hover {
                color: var(--gray-80);
                text-decoration: none;
            }
        }
    }

    &__info {
        display: flex;
        column-gap: rem(8);
        align-items: center;
        margin-bottom: rem(8);
    }

    &__article {
        min-width: rem(56);
        color: var(--gray-50);
        white-space: nowrap;
        font-size: rem(12);
        line-height: rem(20);
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: calc(50% - 32px);
    }

    &__availability {
        min-width: rem(56);
        padding-left: rem(10);
        position: relative;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: rem(12);
        line-height: rem(20);

        &:before {
            left: 0;
            top: calc(50% - 3px);
            width: 6px;
            height: 6px;
            content: '';
            border-radius: 50%;
            position: absolute;
            background-color: #D9D9D9;
        }

        &.valid {
            color: #69BE15;
        }
    }

    &__content {
        margin-bottom: rem(8);
       display: flex;
        row-gap: rem(8);
        flex-direction: column;
    }

    &__media {
        width: 48px;
        display: block;
        flex-shrink: 0;
    }

    &__image {
        width: 48px;
        height: 48px;
        display: block;
        flex-shrink: 0;
    }

    &__price {
        white-space: nowrap;
        font-size: rem(13);
        line-height: rem(20);
        white-space: nowrap;
        display: flex;
        row-gap: rem(4);
        flex-direction: column;

        &-current {
            color: var(--gray-80);
            font-weight: 600;
        }

        &-old {
            color: var(--gray-50);
            text-decoration: line-through;
        }
    }

    &__row {
        display: flex;
        column-gap: rem(4);
        align-items: center;
    }

    &__discount {
        padding: 0 rem(4);
        color: var(--gray-80);
        border-radius: rem(2);
        font-weight: 600;
        background-color: #F2CB00;
    }

    &__buttons {
        display: grid;
        grid-column-gap: rem(4);
        grid-template-columns: 1fr 1fr;

        .btn-xs {
            padding: rem(2) rem(4);
        }
    }

    &__number {
        text-align: center;
        margin-top: rem(8);
        color: var(--gray-50);
        font-size: rem(12);
        line-height: rem(16);
    }

    .btn-add {

        &:after {
            left: auto;
            right: rem(-10);
        }
    }

    .swiper-slide {
        padding-bottom: rem(10);
    }

    .swiper-pagination {
        bottom: 0;
        column-gap: rem(6);
        opacity: 0;
        visibility: hidden;
        transition: .25s;
    }

    .swiper-pagination-bullet {
        width: rem(6);
        height: rem(6);
        cursor: pointer;
        background-color: var(--gray-10);
    }

    .swiper-pagination-bullet-active {
        background-color: var(--primary);
    }

    @include media-breakpoint-up(md) {

        &__info {
            column-gap: rem(16);
        }

        &__article {
            font-size: rem(12);
            line-height: rem(20);
        }

        &__availability {
            font-size: rem(12);
            line-height: rem(20);
        }

        &__content {
            flex-direction: row;
            align-items: flex-end;
            justify-content: space-between;
        }

        &__media {
            width: rem(80);
        }

        &__image {
            width: rem(80);
            height: rem(80);
        }

        &__price {
            align-items: flex-end;

            &-current {
                font-size: rem(15);
                line-height: rem(24);
            }

            &--old {
                font-size: rem(13);
                line-height: rem(20);
            }
        }

        &__discount {
            font-size: rem(11);
            line-height: rem(20);
        }
    }

    @include media-breakpoint-up(md) {

        &:hover {

            .swiper-pagination {
                opacity: 1;
                visibility: visible;
                transition: var(--transition-time);
            }
        }
    }
}

.compare-switchers {
    padding: 0 rem(16) rem(14) rem(16);
    display: flex;
    row-gap: rem(8);
    flex-direction: column;
}

.compare-mobile {
    margin: 0 rem(-16) rem(44) rem(-16);

    &__header {
        background-color: white;
        border-top: 1px solid var(--gray-10);
        border-bottom: 1px solid var(--gray-10);

        &.fixed {
            left: 0;
            top: 0;
            right: 0;
            z-index: 1200;
            position: fixed;
            box-shadow: var(--shadow);

            .compare-item {

                &__info {
                    display: none;
                }

                &__buttons {
                    display: none;
                }
            }
        }
    }

    &__main {

        &.fixed {
            padding-top: rem(192);
        }
    }

    &__container {
        display: flex;
    }

    &__section {
        width: 50%;
        overflow: hidden;
        flex-shrink: 0;

        &:first-child {
            border-right: 1px solid var(--gray-10);
        }
    }

    &__group {
        border-bottom: 1px solid var(--gray-10);

        &.open {
            border-bottom: none;

            .compare-mobile__title {

                i {
                    transform: rotate(180deg);
                    transition: var(--transition-time);
                }
            }
        }
    }

    &__title {
        fill: var(--gray-40);
        color: var(--gray-70);
        font-weight: 600;
        font-size: rem(13);
        line-height: rem(20);
        cursor: pointer;
        padding: rem(14) rem(16);
        display: flex;
        column-gap: rem(8);
        align-items: center;
        justify-content: space-between;

        i {
            font-size: 0;
            line-height: 0;
            width: rem(20);
            height: rem(20);
            flex-shrink: 0;
            transition: var(--transition-time);
        }
    }

    &__row {
        display: flex;

        &:first-child {

            .compare-mobile__column {
                border-top: 1px solid var(--gray-10);
            }
        }
    }

    &__column {
        font-size: rem(12);
        line-height: rem(16);
        width: 50%;
        flex-shrink: 0;
        padding: 6px 16px;
        display: flex;
        row-gap: rem(6);
        justify-content: flex-end;
        flex-direction: column;
        border-bottom: 1px solid var(--gray-10);

        &:not(:last-child) {
            border-right: 1px solid var(--gray-10);
        }
    }

    &__label {
        color: var(--gray-60);
    }

    &__value {
        font-weight: 600;
        color: var(--gray-70);
    }

    @include media-breakpoint-up(sm) {
        margin: 0 0 rem(44) 0;

        &__row {

            &:first-child {

                .compare-mobile__column {

                    &:first-child {
                        border-radius: 4px 0 0 0;
                    }

                    &:last-child {
                        border-radius: 0 4px 0 0;
                    }
                }
            }

            &:last-child {

                .compare-mobile__column {

                    &:first-child {
                        border-radius: 0 0 0 4px;
                    }

                    &:last-child {
                        border-radius: 0 0 4px 0;
                    }
                }
            }
        }

        &__title {
            padding-left: 0;
            padding-right: 0;
        }

        &__column {

            &:first-child {
                border-left: 1px solid var(--gray-10);
            }

            &:last-child {
                border-right: 1px solid var(--gray-10);
            }
        }

        &__container {
            margin: 0 auto;
            width: rem(512);
            border-left: 1px solid var(--gray-10);
            border-right: 1px solid var(--gray-10);
        }
    }

    @include media-breakpoint-up(md) {

        &__container {
            width: rem(720);
        }

        &__main {

            &.fixed {
                padding-top: rem(174);
            }
        }
    }

    @include media-breakpoint-up(lg) {
        display: none;
    }
}

[data-compare-trigger] {
    top: 135px;
    left: 0;
    width: 10px;
    height: 1px;
    position: absolute;
    opacity: 0;
    visibility: hidden;
}


.compare-fixed {

    @include media-breakpoint-up(lg) {

        .compare-header--fixed {
            opacity: 1;
            visibility: visible;
            transition: .3s;
        }

        .sidebar {
            top: 164px;
        }
    }
}
